import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class Login {
    WebDriver driver;

    public Login(WebDriver driver){
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(3, TimeUnit.SECONDS);
    }

    public WebElement getFirstSignInButton(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/li[1]/a"));
    }

    public WebElement getSecondSignInButton(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/div/div[2]/div[1]/div[1]/div[1]/a"));
    }

    public WebElement getInputEmail(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[1]/input"));
    }

    public WebElement getInputPassword(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[2]/div/input"));
    }

    public WebElement getFinalSignInButton(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[5]/div[1]/input"));
    }

    public void navigateHome(String url){
        driver.get(url);
    }

    public void login(String email, String password){
        getFirstSignInButton().click();
        getSecondSignInButton().click();
        getInputEmail().sendKeys(email);
        getInputPassword().sendKeys(password);

        WebDriverWait wdw = new WebDriverWait(driver, 5);
        wdw.until(ExpectedConditions.elementToBeClickable(getFinalSignInButton()));

        getFinalSignInButton().click();
    }
}
