import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.*;

public class LoginPF {
    WebDriver driver;

    @FindBy(how = How.XPATH, using = "//a[text()='Login']")
    WebElement linkSignIn;

    @FindBy(xpath="//input[@name='username']")
    WebElement inputUsername;

    @FindAll({
            @FindBy(id="pass"),
            @FindBy(name="pwd"),
            @FindBy(xpath="//input[@name='pwd']") // find string
    })
    WebElement inputPassword;

    @FindBys({
            @FindBy(id="Submit"),
            @FindBy(name="Login")
    })
    WebElement buttonSubmit;

    public LoginPF(WebDriver driver){
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }

    public void login(String username, String password){
        inputUsername.sendKeys(username);
        inputPassword.sendKeys(password);
        buttonSubmit.click();
    }
}
